org.eclipse.net4j.util.om.trace

## Class TraceHandlerEvent

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.TraceHandlerEvent

- All Implemented Interfaces:
    Serializable, OMTraceHandlerEvent

      public class TraceHandlerEvent
      extends Object
      implements OMTraceHandlerEvent, Serializable

  The default implementation of a `trace event`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `context`
    `protected String` | `message`
    `protected Throwable` | `throwable`
    `protected long` | `timeStamp`
    `protected OMTracer` | `tracer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceHandlerEvent(OMTracer tracer, Class<?> context, String message, Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getContext()`
    `String` | `getMessage()`
    `Throwable` | `getThrowable()`
    `long` | `getTimeStamp()`
    `OMTracer` | `getTracer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timeStamp

          protected long timeStamp

    - #### tracer

          protected OMTracer tracer

    - #### context

          protected Class<?> context

    - #### message

          protected String message

    - #### throwable

          protected Throwable throwable

  - ### Constructor Detail

    - #### TraceHandlerEvent

          public TraceHandlerEvent(OMTracer tracer,
                                   Class<?> context,
                                   String message,
                                   Throwable throwable)

  - ### Method Detail

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `OMTraceHandlerEvent`

    - #### getTracer

          public OMTracer getTracer()

      Specified by:
        `getTracer` in interface `OMTraceHandlerEvent`

    - #### getContext

          public Class<?> getContext()

      Specified by:
        `getContext` in interface `OMTraceHandlerEvent`

    - #### getMessage

          public String getMessage()

      Specified by:
        `getMessage` in interface `OMTraceHandlerEvent`

    - #### getThrowable

          public Throwable getThrowable()

      Specified by:
        `getThrowable` in interface `OMTraceHandlerEvent`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html